### Method

# GVnc Connection pointer_event

#### Declaration [src]

    gboolean
    vnc_connection_pointer_event (
      VncConnection* conn,
      guint8 button_mask,
      guint16 x,
      guint16 y
    )

#### Description [src]

Send a pointer event to the server, reflecting either movement of the pointer, or a change in state of its buttons, or both.

#### Parameters

`button_mask`

  Type: `guint8`

  The new state of the buttons.

`x`

  Type: `guint16`

  The new horizontal position of the pointer.

`y`

  Type: `guint16`

  The new veritical position of the pointer.

#### Return value

Type: `gboolean`

TRUE if the connection is ok, FALSE if it has an error.